Lucene++ - a full-featured, c++ search engine
API Documentation

Data Structures | Namespaces
Directory.h File Reference
`#include "LuceneObject.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::Directory
| A Directory is a flat list of files. Files may be written once, when they are created. Once a file is created it may only be opened for read, or deleted. Random access is permitted both when reading and writing. Directory locking is implemented by an instance of LockFactory, and can be changed for each Directory instance using setLockFactory. More...

## Namespaces

| Lucene

clucene.sourceforge.net